=== debian/changelog ===
suitesparse (1:4.4.6-1) unstable; urgency=medium

  * Imported Upstream version 4.4.6
  * Bump SOVERSION for libspqr and libsuitesparseconfig.
  * Drop libsuitesparse-dbg package, migrate to automatic debug packages.
  * libsuitesparse-doc: suggest instead of recommending BLAS and ATLAS doc.
    Also replace transitional libblas-doc package by liblapack-doc and
    liblapack-doc-man.
  * Remove old Conflicts/Replaces against old ufsparse/umfpack4 packages.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 19 Jan 2016 16:59:48 +0100

suitesparse (1:4.4.5-2) unstable; urgency=low

  * Upload to unstable.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 20 Nov 2015 11:12:28 +0100

suitesparse (1:4.4.5-1) experimental; urgency=low

  * Imported Upstream version 4.4.5
  * debian/copyright: reflect upstream changes.
  * Bump SOVERSION for libcholmod, libklu and libsuitesparseconfig.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 25 Sep 2015 23:37:44 +0200

suitesparse (1:4.4.4-1) experimental; urgency=low

  * Imported Upstream version 4.4.4
  * Bump SOVERSION for libspqr and libsuitesparseconfig.
  * Fix typo in description of libccolamd. (Closes: #768365)
  * Overhaul long package descriptions. (Closes: #633042)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 10 Apr 2015 18:00:39 +0200

suitesparse (1:4.4.3-1) experimental; urgency=low

  * Imported Upstream version 4.4.3
  * debian/copyright: update, rewrite using machine-readable format 1.0.
  * Bump library SONAMEs.
  * Update patches.
    + Merge all patches related to shared libraries building in
      shared_libraries.patch.
    + Separate patch for BLAS library (use-generic-blas.patch) from the one
      disabling METIS (disable-metis.patch).
    + Give more explicit names to remaining patches, and use the .patch
      extension.
  * Ship libsuitesparseconfig in a separate package.
    This is now necessary because the library contains a global symbol, shared
    between several SuiteSparse libraries.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update debian/watch for new tarball location.
  * debian/control: update homepage URL.
  * Ship cs.h from both CSparse and CXSparse.
    CSparse and CXSparse both provide a header named cs.h. Previously, only the
    CXSparse version was provided. Both versions are now provided in separate
    subdirectories of /usr/include/suitesparse. A toplevel symlink pointing to
    the CXSparse version is left for backward compatibility.
  * Add missing SuiteSparse_config in long description of libsuitesparse-dev.
  * Regenerate debian/control from the clean rule (instead of using a
    dedicated target). This seems acceptable, since it's done in
    gnome-pkg-tools.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 08 Feb 2015 18:54:17 +0100
