=== debian/changelog ===
suitesparse (1:4.5.3-1) unstable; urgency=low

  * Release to unstable.
  * Imported Upstream version 4.5.3.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 17 May 2016 16:11:44 +0200

suitesparse (1:4.5.3~beta-1) experimental; urgency=low

  * Imported Upstream version 4.5.3~beta
  * d/copyright: reflect upstream changes.
  * Switch to dh (instead of cdbs).
  * Upstream committed to ABI tracking, so drop older system for
    generating SONAMES.
  * Use new upstream build system for compiling shared libraries.
  * Drop all patches (except buildflags.patch), no longer needed.
  * Enable METIS support (through Debian package, not embedded copy).
  * Add package for RBio (librbio).
  * Drop package for CSparse (libcsparse), superseded by libcxsparse.
  * Add symbols files (except for SPQR lib which has C++ code).
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Use secure URLs for Vcs-* fields.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 04 May 2016 15:18:26 +0200
