=== debian/control ===
--- 
+++ 
@@ -1,22 +1,17 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
-
 Source: suitesparse
 Section: math
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>,
  Sébastien Villemot <sebastien@debian.org>
-Build-Depends: cdbs (>= 0.4.52), debhelper (>= 9), dh-exec, gfortran,
- libblas-dev, liblapack-dev
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), dh-exec, gfortran, libblas-dev, liblapack-dev,
+ libmetis-dev
+Standards-Version: 3.9.8
 Homepage: http://www.suitesparse.com
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/suitesparse.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/suitesparse.git
-
-Package: libamd2.4.1
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/suitesparse.git
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/suitesparse.git
+
+Package: libamd2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -30,7 +25,7 @@
  prior to Cholesky or LU factorization, using the "Approximate Minimum Degree
  ordering" algorithm.
 
-Package: libbtf1.2.1
+Package: libbtf1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -48,7 +43,7 @@
  method for finding the strongly connected components of a graph. These two
  methods together give the permutation to block upper triangular form.
 
-Package: libcamd2.4.1
+Package: libcamd2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -62,7 +57,7 @@
  prior to Cholesky or LU factorization, using the approximate minimum degree
  ordering algorithm with optional ordering constraints.
 
-Package: libcolamd2.9.1
+Package: libcolamd2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -77,7 +72,7 @@
  of A (:,P) tends to be sparser than that of A. The Cholesky factorization of
  (A (:,P))'*(A (:,P)) will also tend to be sparser than that of A'*A.
 
-Package: libccolamd2.9.1
+Package: libccolamd2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -93,7 +88,7 @@
  factorization of (A (:,P))'*(A (:,P)) will also tend to be sparser than that
  of A'*A.
 
-Package: libcholmod3.0.6
+Package: libcholmod3
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -111,7 +106,7 @@
  factorization relies on LAPACK and the Level-3 BLAS, and obtains a substantial
  fraction of the peak performance of the BLAS.
 
-Package: libcsparse3.1.4
+Package: libcxsparse3
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -121,28 +116,15 @@
  Suitesparse is a collection of libraries for computations involving
  sparse matrices.
  .
- The CSparse library provides several matrix algorithms. The focus is on direct
+ The CXSparse library provides several matrix algorithms. The focus is on direct
  methods; iterative methods and solvers for eigenvalue problems are beyond the
  scope of this package.
  .
- The performance of the sparse factorization methods in CSparse will not be
+ The performance of the sparse factorization methods in CXSparse will not be
  competitive with UMFPACK or CHOLMOD, but the codes are much more concise and
  easy to understand. Other methods are competitive.
 
-Package: libcxsparse3.1.4
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: concise sparse matrix library (complex, int and long int support)
- Suitesparse is a collection of libraries for computations involving
- sparse matrices.
- .
- The CXSparse library is a version of CSparse (see libcsparse package) that
- operates on both real and complex matrices.
-
-Package: libklu1.3.3
+Package: libklu1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -155,7 +137,7 @@
  The KLU library provides routines for LU factorization, primarily for circuit
  simulation.
 
-Package: libldl2.2.1
+Package: libldl2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -171,7 +153,7 @@
  the algorithms in a very concise and readable manner, primarily for
  educational purposes.
 
-Package: libumfpack5.7.1
+Package: libumfpack5
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -184,7 +166,20 @@
  The UMFPACK library provides a set of routines solving sparse linear systems
  via LU factorization.
 
-Package: libspqr2.0.2
+Package: librbio2
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: read/write sparse matrices in Rutherford/Boeing format
+ Suitesparse is a collection of libraries for computations involving
+ sparse matrices.
+ .
+ RBio is a library for reading/writing sparse matrices in the Rutherford/Boeing
+ format.
+
+Package: libspqr2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -197,7 +192,7 @@
  SuiteSparseQR (SPQR) is a multithreaded, multifrontal, rank-revealing sparse
  QR factorization method.
 
-Package: libsuitesparseconfig4.4.6
+Package: libsuitesparseconfig4
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -217,19 +212,19 @@
 Replaces: libsuitesparse-metis-dev
 Conflicts: libsuitesparse-metis-dev
 Depends: ${misc:Depends},
- libamd2.4.1 (= ${binary:Version}),
- libcamd2.4.1 (= ${binary:Version}),
- libbtf1.2.1 (= ${binary:Version}),
- libcolamd2.9.1 (= ${binary:Version}),
- libccolamd2.9.1 (= ${binary:Version}),
- libcholmod3.0.6 (= ${binary:Version}),
- libcsparse3.1.4 (= ${binary:Version}),
- libcxsparse3.1.4 (= ${binary:Version}),
- libklu1.3.3 (= ${binary:Version}),
- libldl2.2.1 (= ${binary:Version}),
- libumfpack5.7.1 (= ${binary:Version}),
- libspqr2.0.2 (= ${binary:Version}),
- libsuitesparseconfig4.4.6 (= ${binary:Version}),
+ libamd2 (= ${binary:Version}),
+ libcamd2 (= ${binary:Version}),
+ libbtf1 (= ${binary:Version}),
+ libcolamd2 (= ${binary:Version}),
+ libccolamd2 (= ${binary:Version}),
+ libcholmod3 (= ${binary:Version}),
+ libcxsparse3 (= ${binary:Version}),
+ libklu1 (= ${binary:Version}),
+ libldl2 (= ${binary:Version}),
+ libumfpack5 (= ${binary:Version}),
+ librbio2 (= ${binary:Version}),
+ libspqr2 (= ${binary:Version}),
+ libsuitesparseconfig4 (= ${binary:Version}),
  libblas-dev | libblas.so,
  liblapack-dev | liblapack.so
 Description: libraries for sparse matrices computations (development files)
@@ -248,15 +243,15 @@
  .
  CHOLMOD     sparse Cholesky factorization
  .
- CSparse     a concise sparse matrix package
- .
- CXSparse    CSparse extended: complex matrix, int and long int support
+ CXSparse    a concise sparse matrix package
  .
  KLU         sparse LU factorization, primarily for circuit simulation
  .
  LDL         a simple LDL' factorization
  .
  UMFPACK     sparse LU factorization
+ .
+ RBio        read/write sparse matrices in Rutherford/Boeing format
  .
  SPQR        sparse QR factorization
  .
